summaryrefslogtreecommitdiff
path: root/x11-misc/bumblebee/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /x11-misc/bumblebee/files
reinit the tree, so we can have metadata
Diffstat (limited to 'x11-misc/bumblebee/files')
-rw-r--r--x11-misc/bumblebee/files/bumblebee.confd3
-rw-r--r--x11-misc/bumblebee/files/bumblebee.envd3
-rw-r--r--x11-misc/bumblebee/files/bumblebee.initd22
3 files changed, 28 insertions, 0 deletions
diff --git a/x11-misc/bumblebee/files/bumblebee.confd b/x11-misc/bumblebee/files/bumblebee.confd
new file mode 100644
index 000000000000..1c70206da6bf
--- /dev/null
+++ b/x11-misc/bumblebee/files/bumblebee.confd
@@ -0,0 +1,3 @@
+# /etc/conf.d/bumblebee
+
+BUMBLEBEE_EXTRA_OPTS="--use-syslog" \ No newline at end of file
diff --git a/x11-misc/bumblebee/files/bumblebee.envd b/x11-misc/bumblebee/files/bumblebee.envd
new file mode 100644
index 000000000000..e19cc56a1303
--- /dev/null
+++ b/x11-misc/bumblebee/files/bumblebee.envd
@@ -0,0 +1,3 @@
+# Comment this out if you are using VirtualGL also for other purposes and this
+# slows down things for you.
+VGL_READBACK="pbo"
diff --git a/x11-misc/bumblebee/files/bumblebee.initd b/x11-misc/bumblebee/files/bumblebee.initd
new file mode 100644
index 000000000000..219f71010d84
--- /dev/null
+++ b/x11-misc/bumblebee/files/bumblebee.initd
@@ -0,0 +1,22 @@
+#!/sbin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need xdm vgl
+}
+
+PIDFILE="${PIDFILE:-/var/run/bumblebee.pid}"
+
+start() {
+ ebegin "Starting BumbleBee Daemon"
+ start-stop-daemon -S -p "${PIDFILE}" -x /usr/sbin/bumblebeed -- -D ${BUMBLEBEE_EXTRA_OPTS} --pidfile "${PIDFILE}"
+ eend $?
+}
+
+stop() {
+
+ ebegin "Stopping BumbleBee Daemon"
+ start-stop-daemon -K -p "${PIDFILE}" -R SIGTERM/10
+ eend $?
+}